#ifndef SYSTEMDSERVICE_H
#define SYSTEMDSERVICE_H
#include "libflyadminsystemd_global.h"
#include "types.h"

#include <QString>

namespace FlyAdmin {

class LIBFLYADMINSYSTEMD_EXPORT SystemdService
{
public:
    explicit SystemdService(const QString& name);

public:
    UnitState state() const;
    bool isActive() const;
    bool isEnabled() const;
    void mask() const;
    void unmask() const;
    void enable() const;
    void disable() const;
    void start() const;
    void restart() const;
    void stop() const;
    const QString getName() const;
    const QString getFullName() const;
    bool getAliveStatus() const;

private:
    const QString request(const QString& argument) const;

private:
    const QString name;
    const QString fullName;
    bool m_aliveStatus = false;
};

}
#endif // SYSTEMDSERVICE_H
